Subject: Re: bug#39204: r-rgdal: Reading of vector GIS data causes segfault

From: Wiktor Żelazny <[email-masked]>
Date: Mon, 12 Oct 2020 18:23:18 +0200

On Mon, Oct 12, 2020 at 03:52:30PM +0530, Arun Isaac wrote:

> I pushed to master, my commit replacing proj.4 with proj.

Hi Arun,

Believe it or not, but on Friday I tried the same thing. First,
replacing proj with proj.4 in GDAL, which declined to compile, demanding
version 6, then replacing proj.4 with proj in r-rgdal.

It kept spitting the error during the check phase, but I was
time-machined some months into the past. Maybe with current Guix version
the issue does not occur. I will check it out this or the next week.

Thank you for your work on this issue.

WŻ